package com.bocloud.cmp.model.h3c;

public class H3cPortProfileModel {
    /**
     * 网络策略模板 ID。
     * 长整数（long）类型。
     */
    private Long id;
    /**
     * 网络策略模板名称。
     * 字符串（String）类型。
     */
    private String name;
    /**
     * 描述信息。
     * 字符串（String）类型。
     */
    private String description;
    /**
     * VLAN ID。
     * 长整数（long）类型。
     */
    private Long vlanId;
    /**
     * 入方向流量限制：1表示限制，0表示不限制。
     * 整数（int）类型。
     */
    private Integer inbound;
    /**
     * 入方向流量控制：平均带宽，单位Kbps
     * 长整数（long）类型。
     */
    private Long inAvgBandwidth;
    /**
     * 入方向流量控制：突发缓冲，单位Kbps
     * 长整数（long）类型。
     */
    private Long inBurstSize;
    /**
     * 出方向流量限制：1表示限制，0表示不限制。
     * 整数（int）类型。
     */
    private Integer outbound;
    /**
     * 出方向流量控制：平均带宽，单位Kbps
     * 长整数（long）类型。
     */
    private Long outAvgBandwidth;
    /**
     * 出方向流量控制：突发缓冲，单位Kbps
     * 长整数（long）类型。
     */
    private Long outBurstSize;
    /**
     * 绑定的ACL ID
     * 长整数（long）类型。
     */
    private Long aclStrategyId;
    /**
     * 绑定的ACL名称
     * 字符串（String）类型。
     */
    private String aclName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getVlanId() {
        return vlanId;
    }

    public void setVlanId(Long vlanId) {
        this.vlanId = vlanId;
    }

    public Integer getInbound() {
        return inbound;
    }

    public void setInbound(Integer inbound) {
        this.inbound = inbound;
    }

    public Long getInAvgBandwidth() {
        return inAvgBandwidth;
    }

    public void setInAvgBandwidth(Long inAvgBandwidth) {
        this.inAvgBandwidth = inAvgBandwidth;
    }

    public Long getInBurstSize() {
        return inBurstSize;
    }

    public void setInBurstSize(Long inBurstSize) {
        this.inBurstSize = inBurstSize;
    }

    public Integer getOutbound() {
        return outbound;
    }

    public void setOutbound(Integer outbound) {
        this.outbound = outbound;
    }

    public Long getOutAvgBandwidth() {
        return outAvgBandwidth;
    }

    public void setOutAvgBandwidth(Long outAvgBandwidth) {
        this.outAvgBandwidth = outAvgBandwidth;
    }

    public Long getOutBurstSize() {
        return outBurstSize;
    }

    public void setOutBurstSize(Long outBurstSize) {
        this.outBurstSize = outBurstSize;
    }

    public Long getAclStrategyId() {
        return aclStrategyId;
    }

    public void setAclStrategyId(Long aclStrategyId) {
        this.aclStrategyId = aclStrategyId;
    }

    public String getAclName() {
        return aclName;
    }

    public void setAclName(String aclName) {
        this.aclName = aclName;
    }
}
